# Visualization
TKV3d
AIS

# AIS_MapOfInteractive Class Reference

`#include <AIS_MapOfInteractive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS_MapOfInteractive (const Standard_Integer NbBuckets=1)
Standard_EXPORT AIS_MapOfInteractive & | Assign (const AIS_MapOfInteractive &Other)
AIS_MapOfInteractive & | operator= (const AIS_MapOfInteractive &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~AIS_MapOfInteractive ()
Standard_EXPORT Standard_Boolean | Add (const Handle(AIS_InteractiveObject)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(AIS_InteractiveObject)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(AIS_InteractiveObject)&aKey)

## Private Member Functions

Standard_EXPORT | AIS_MapOfInteractive (const AIS_MapOfInteractive &Other)

## Constructor & Destructor Documentation

Standard_EXPORT AIS_MapOfInteractive::AIS_MapOfInteractive | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS_MapOfInteractive::~AIS_MapOfInteractive | ( |  | ) | `[inline]`

Standard_EXPORT AIS_MapOfInteractive::AIS_MapOfInteractive | ( | const AIS_MapOfInteractive & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean AIS_MapOfInteractive::Add | ( | const Handle(AIS_InteractiveObject)& | aKey | ) |

Standard_EXPORT AIS_MapOfInteractive& AIS_MapOfInteractive::Assign | ( | const AIS_MapOfInteractive & | Other | ) |

Standard_EXPORT void AIS_MapOfInteractive::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean AIS_MapOfInteractive::Contains | ( | const Handle(AIS_InteractiveObject)& | aKey | ) | const

void AIS_MapOfInteractive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_MapOfInteractive::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_MapOfInteractive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

AIS_MapOfInteractive& AIS_MapOfInteractive::operator= | ( | const AIS_MapOfInteractive & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean AIS_MapOfInteractive::Remove | ( | const Handle(AIS_InteractiveObject)& | aKey | ) |

Standard_EXPORT void AIS_MapOfInteractive::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- AIS_MapOfInteractive.hxx